Option Strict Off
Option Explicit On
Imports VB = Microsoft.VisualBasic
Friend Class frmFileSave
	Inherits System.Windows.Forms.Form
	' *****************************************************************
	' *                                                               *
	' *       Copyright (c) Fast Corporation, 2002                    *
	' *                                                               *
	' *   All Rights Reserved.  Unpublished rights  reserved  under   *
	' *   the copyright laws of the Japan.                            *
	' *                                                               *
	' *   The software contained on this media  is  proprietary  to   *
	' *   and  embodies  the  confidential  technology  of  Fast      *
	' *   Corporation.  Possession, use,  duplication  or             *
	' *   dissemination of the software and media is authorized only  *
	' *   pursuant to a valid written license from Fast Corporation.  *
	' *                                                               *
	' *****************************************************************
	'
	' -------------------------------------------------------------------
	' FVX Sample Program
	' t@CI_CAO
	'
	' 쐬 : K.Kotajima
	'
	'  : 2002/06/19 
	' -------------------------------------------------------------------
	
	Private m_strDefaultExtension As String 'gqw肳ȂƂɂgq
	Private m_strPattern As String 'gqtB^
	Private m_strFilePath As String 'ۑt@CitpXj
	
	Public WriteOnly Property strPattern() As String
		Set(ByVal Value As String)
			m_strPattern = Value
			filFile.Pattern = m_strPattern
		End Set
	End Property
	
	Public WriteOnly Property strDefaultExtension() As String
		Set(ByVal Value As String)
			m_strDefaultExtension = Value
		End Set
	End Property
	
	Public ReadOnly Property strFilePath() As String
		Get
			strFilePath = m_strFilePath
		End Get
	End Property
	
	
	'UPGRADE_NOTE: Form_Initialize  Form_Initialize_Renamed ɃAbvO[h܂B ڍׂɂẮA'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"' NbNĂB
	Private Sub Form_Initialize_Renamed()
		'Ԃł͑SẴt@C\܂
		m_strPattern = "*.*"
	End Sub
	
	Private Sub frmFileSave_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		filFile.Pattern = m_strPattern
		
		drvFile.Drive = VB.Left(My.Application.Info.DirectoryPath, 1)
		dirFile.Path = My.Application.Info.DirectoryPath
	End Sub
	
	
	Private Sub drvFile_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles drvFile.SelectedIndexChanged
		On Error GoTo drvFile_Change_ErrHandle
		
		'DrivevpeB̓{[xԂ̂ŁA폜܂
		dirFile.Path = VB.Left(drvFile.Drive, 1) & ":\"
		
		Exit Sub
drvFile_Change_ErrHandle: 
		MsgBox(Err.Number & " : " & Err.Description)
		drvFile.Drive = VB.Left(dirFile.Path, 1)
	End Sub
	Private Sub dirFile_Change(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles dirFile.Change
		filFile.Path = dirFile.Path
	End Sub
	
	Private Sub filFile_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles filFile.SelectedIndexChanged
		txtFilename.Text = filFile.FileName
	End Sub
	
	Private Sub cmdOK_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdOK.Click
		Dim strBuff As String
		
		If txtFilename.Text = "" Then
			MsgBox("t@C͂Ă", MsgBoxStyle.Exclamation, "G[")
			Exit Sub
		End If
		
		't@C̃tpX擾
		strBuff = dirFile.Path
		If VB.Right(strBuff, 1) <> "\" Then strBuff = strBuff & "\"
		strBuff = strBuff & txtFilename.Text
		
		'gq̒ǉ
		If 0 = InStrRev(strBuff, ".") Then
			'͂ꂽt@CɊgqĂȂꍇ
			strBuff = strBuff & "." & m_strDefaultExtension
		End If
		
		m_strFilePath = strBuff
		
		Me.Close()
	End Sub
	
	Private Sub cmdCancel_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdCancel.Click
		m_strFilePath = ""
		Me.Close()
	End Sub
End Class